package com.xhpc.common.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

import java.util.Date;

/**
 * 费率时段 xhpc_rate_time
 *
 * @author yuyang
 * @date 2021-07-20
 */
public class XhpcRateTime extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 费率时段id */
    private Long rateTimeId;

    /** 电站id */
    private Long chargingStationId;

    /** 费率id */
    private Long rateId;

    /** 启始时间 */
    private Date startTime;

    /** 结束时间 */
    private Date endTime;

    /** 状态（0正常 1停用） */
    private Integer status;

    /** 状态（0正常 1停用） */
    private Integer delFlag;

    /** 计费模型id */
    private Long rateModelId;

    /** 时间排序有小到大 */
    private Integer sort;

    /** 1 设置时间段  2默认时间段 */
    private Integer type;

    /** 费率类型 00: 尖费率 01: 峰费率 02: 平费率 03: 谷费率 */
    private String rateValue;

    public static long getSerialVersionUID() {

        return serialVersionUID;
    }

    public Long getRateTimeId() {

        return rateTimeId;
    }

    public void setRateTimeId(Long rateTimeId) {

        this.rateTimeId = rateTimeId;
    }

    public Long getChargingStationId() {

        return chargingStationId;
    }

    public void setChargingStationId(Long chargingStationId) {

        this.chargingStationId = chargingStationId;
    }

    public Long getRateId() {

        return rateId;
    }

    public void setRateId(Long rateId) {

        this.rateId = rateId;
    }

    public Date getStartTime() {

        return startTime;
    }

    public void setStartTime(Date startTime) {

        this.startTime = startTime;
    }

    public Date getEndTime() {

        return endTime;
    }

    public void setEndTime(Date endTime) {

        this.endTime = endTime;
    }

    public Integer getStatus() {

        return status;
    }

    public void setStatus(Integer status) {

        this.status = status;
    }

    public Integer getDelFlag() {

        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {

        this.delFlag = delFlag;
    }

    public Long getRateModelId() {

        return rateModelId;
    }

    public void setRateModelId(Long rateModelId) {

        this.rateModelId = rateModelId;
    }

    public Integer getSort() {

        return sort;
    }

    public void setSort(Integer sort) {

        this.sort = sort;
    }

    public Integer getType() {

        return type;
    }

    public void setType(Integer type) {

        this.type = type;
    }

    public String getRateValue() {

        return rateValue;
    }

    public void setRateValue(String rateValue) {

        this.rateValue = rateValue;
    }

}

